<div class="w-full">
  <% if notice.present? %>
    <p class="py-2 px-3 bg-green-50 mb-5 text-green-500 font-medium rounded-lg
              inline-block" id="notice">
      <%= notice %>
    </p>
  <% end %>

  <h1 class="font-bold text-xl mb-6 pb-2 border-b-2">
    Your Pragmatic Catalog
  </h1>

  <ul>
    <% cache @products do %>
      <% @products.each do |product| %>
        <% cache product do %>
          <li class='flex mb-6'>
            <%= image_tag(product.image_url,
                          class: 'object-contain w-40 h-48 shadow mr-6') %>

            <div>
              <h2 class="font-bold text-lg mb-3"><%= product.title %></h2>

              <p>
                <%= sanitize(product.description) %>
              </p>

              <div class="mt-3">
                <%= number_to_currency(product.price) %>
              </div>
            </div>
          </li>
        <% end %>
      <% end %>
    <% end %>
  </ul>
</div>
